Bug 1288005 - systemctl can't read symlinks to SysVinit service scripts in /etc/init.d after upgrading to RHEL 7.2's systemd-219-19.el7
Summary: systemctl can't read symlinks to SysVinit service scripts in /etc/init.d afte...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Keywords: EasyFix, ZStream
Depends On: 1285492
Blocks: 1289485
TreeView+ depends on / blocked
 
Reported: 2015-12-03 09:56 UTC by Jan Kurik
Modified: 2016-02-16 10:40 UTC (History)
19 users (show)

(edit)
Previously, systemd ignored symbolic links in the /etc/rc.d/init.d/ directory. As a consequence, init scripts with symbolic links included in /etc/rc.d/init.d/ could not be started using systemd. With this update, systemd follows symbolic links included in /etc/rc.d/init.d/ to init scripts. Note that the real location of the init script must be on the partition that is mounted in the initial ramdisk (initrd).
Clone Of: 1285492
(edit)
Last Closed: 2016-02-16 10:40:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0199 normal SHIPPED_LIVE systemd bug fix update 2016-02-16 15:36:58 UTC

Description Jan Kurik 2015-12-03 09:56:52 UTC
This bug has been copied from bug #1285492 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 7 Robert Scheck 2016-01-14 15:26:12 UTC
Cross-filed case #01566962 because we need this fix soon.

Comment 8 Martin Wilck 2016-01-27 15:28:01 UTC
When will the bug fix package be released publically?

Comment 9 Christian Horn 2016-01-27 15:37:15 UTC
(In reply to Martin Wilck from comment #8)
> When will the bug fix package be released publically?
That is planned as part of bz1285492 for rhel7.3 and for 7.2.z here in this bz, can't say more on timeframe for the 7.2.z fix.

Comment 12 errata-xmlrpc 2016-02-16 10:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0199.html


Note You need to log in before you can comment on or make changes to this bug.